Subject: bug#37528: 27.0.50; Can't view gpg-signed messages in Gnus anymore

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 01:45:53 +0200

Amin Bandali <[email-masked]> writes:

> I’ve noticed, after pulling from trunk today, that I’m no longer able to
> read GPG-signed messages sent by authors whose key I don’t have in my
> keyring.  This is what I see in the article buffer for such messages
> now:
>
> [[PGP Signed Part:No public key for DF338F09980791EF created at 2019-09-26T09:45:48-0400 using RSA]]
> Error!  Result from decryption:
>
> No public key for DF338F09980791EF created at 2019-09-26T09:45:48-0400 using RSA
>
> [[End of PGP Signed Part]]

This is a bug I introduced yesterday, but I can't quite see how it's
happening now -- this code path should now only be if

      (if (or (not info)
	      (equal info "")
	      (equal subtype "encrypted")

that is, it shouldn't be possible to happen for /signed parts, just for
/encrypted parts.

Are you completely up-to-date on the master branch?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no